/*
Core

Core API is used to manage resources around organisation like auth, set webhooks per channels, manage campaigns.

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package coreapi

import (
	"encoding/json"
)

// checks if the GetMeEntrypoints200ResponseInner type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &GetMeEntrypoints200ResponseInner{}

// GetMeEntrypoints200ResponseInner struct for GetMeEntrypoints200ResponseInner
type GetMeEntrypoints200ResponseInner struct {
	Id *string `json:"id,omitempty"`
	UserId *string `json:"user_id,omitempty"`
	EntrypointId *string `json:"entrypoint_id,omitempty"`
}

// NewGetMeEntrypoints200ResponseInner instantiates a new GetMeEntrypoints200ResponseInner object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewGetMeEntrypoints200ResponseInner() *GetMeEntrypoints200ResponseInner {
	this := GetMeEntrypoints200ResponseInner{}
	return &this
}

// NewGetMeEntrypoints200ResponseInnerWithDefaults instantiates a new GetMeEntrypoints200ResponseInner object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewGetMeEntrypoints200ResponseInnerWithDefaults() *GetMeEntrypoints200ResponseInner {
	this := GetMeEntrypoints200ResponseInner{}
	return &this
}

// GetId returns the Id field value if set, zero value otherwise.
func (o *GetMeEntrypoints200ResponseInner) GetId() string {
	if o == nil || IsNil(o.Id) {
		var ret string
		return ret
	}
	return *o.Id
}

// GetIdOk returns a tuple with the Id field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *GetMeEntrypoints200ResponseInner) GetIdOk() (*string, bool) {
	if o == nil || IsNil(o.Id) {
		return nil, false
	}
	return o.Id, true
}

// HasId returns a boolean if a field has been set.
func (o *GetMeEntrypoints200ResponseInner) HasId() bool {
	if o != nil && !IsNil(o.Id) {
		return true
	}

	return false
}

// SetId gets a reference to the given string and assigns it to the Id field.
func (o *GetMeEntrypoints200ResponseInner) SetId(v string) {
	o.Id = &v
}

// GetUserId returns the UserId field value if set, zero value otherwise.
func (o *GetMeEntrypoints200ResponseInner) GetUserId() string {
	if o == nil || IsNil(o.UserId) {
		var ret string
		return ret
	}
	return *o.UserId
}

// GetUserIdOk returns a tuple with the UserId field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *GetMeEntrypoints200ResponseInner) GetUserIdOk() (*string, bool) {
	if o == nil || IsNil(o.UserId) {
		return nil, false
	}
	return o.UserId, true
}

// HasUserId returns a boolean if a field has been set.
func (o *GetMeEntrypoints200ResponseInner) HasUserId() bool {
	if o != nil && !IsNil(o.UserId) {
		return true
	}

	return false
}

// SetUserId gets a reference to the given string and assigns it to the UserId field.
func (o *GetMeEntrypoints200ResponseInner) SetUserId(v string) {
	o.UserId = &v
}

// GetEntrypointId returns the EntrypointId field value if set, zero value otherwise.
func (o *GetMeEntrypoints200ResponseInner) GetEntrypointId() string {
	if o == nil || IsNil(o.EntrypointId) {
		var ret string
		return ret
	}
	return *o.EntrypointId
}

// GetEntrypointIdOk returns a tuple with the EntrypointId field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *GetMeEntrypoints200ResponseInner) GetEntrypointIdOk() (*string, bool) {
	if o == nil || IsNil(o.EntrypointId) {
		return nil, false
	}
	return o.EntrypointId, true
}

// HasEntrypointId returns a boolean if a field has been set.
func (o *GetMeEntrypoints200ResponseInner) HasEntrypointId() bool {
	if o != nil && !IsNil(o.EntrypointId) {
		return true
	}

	return false
}

// SetEntrypointId gets a reference to the given string and assigns it to the EntrypointId field.
func (o *GetMeEntrypoints200ResponseInner) SetEntrypointId(v string) {
	o.EntrypointId = &v
}

func (o GetMeEntrypoints200ResponseInner) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o GetMeEntrypoints200ResponseInner) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	if !IsNil(o.Id) {
		toSerialize["id"] = o.Id
	}
	if !IsNil(o.UserId) {
		toSerialize["user_id"] = o.UserId
	}
	if !IsNil(o.EntrypointId) {
		toSerialize["entrypoint_id"] = o.EntrypointId
	}
	return toSerialize, nil
}

type NullableGetMeEntrypoints200ResponseInner struct {
	value *GetMeEntrypoints200ResponseInner
	isSet bool
}

func (v NullableGetMeEntrypoints200ResponseInner) Get() *GetMeEntrypoints200ResponseInner {
	return v.value
}

func (v *NullableGetMeEntrypoints200ResponseInner) Set(val *GetMeEntrypoints200ResponseInner) {
	v.value = val
	v.isSet = true
}

func (v NullableGetMeEntrypoints200ResponseInner) IsSet() bool {
	return v.isSet
}

func (v *NullableGetMeEntrypoints200ResponseInner) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableGetMeEntrypoints200ResponseInner(val *GetMeEntrypoints200ResponseInner) *NullableGetMeEntrypoints200ResponseInner {
	return &NullableGetMeEntrypoints200ResponseInner{value: val, isSet: true}
}

func (v NullableGetMeEntrypoints200ResponseInner) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableGetMeEntrypoints200ResponseInner) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


